<?xml version="1.0" encoding="utf-8"?>
<Project Sdk="Dalamud.NET.Sdk/12.0.2">
    <PropertyGroup>
        <TargetFramework>net9.0-windows7.0</TargetFramework>
        <!-- Windows-specific target framework -->
        <Version>1.1.1.3</Version>
        <Description>Character Select+.</Description>
        <PackageProjectUrl>https://github.com/USBTURTLECUP/Character-Select-</PackageProjectUrl>
        <PackageLicenseExpression>AGPL-3.0-or-later</PackageLicenseExpression>
        <IsPackable>false</IsPackable>
        <EnableWindowsTargeting>true</EnableWindowsTargeting>
        <UseWindowsForms>true</UseWindowsForms>
    </PropertyGroup>
    <ItemGroup>
        <PackageReference Include="System.Windows.Forms" Version="8.0.0" />
    </ItemGroup>
    <ItemGroup>
        <Content Include="..\Data\goat.png">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
            <Visible>false</Visible>
        </Content>
    </ItemGroup>
    <ItemGroup>
        <Reference Include="System.Windows.Forms" />
    </ItemGroup>
    <ItemGroup>
        <Content Include="CharacterSelectPlugin.json">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>

        <Content Include="..\Data\goat.png">
            <Link>goat.png</Link>
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>

        <Content Include="Assets\**\*.*">
            <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
        </Content>
    </ItemGroup>

    <ItemGroup>
        <Folder Include="Header Files\" />
    </ItemGroup>
</Project>
